Page MenuHomePhabricator

efl.ui.panel example in elementary_test hangs infinitely
Closed, ResolvedPublic

Description

Dunno who to assign this to but if you click the Efl.Ui.Panel example then it hangs the app infinitely in table recalc

zmike created this task.Mar 18 2019, 11:22 AM
zmike triaged this task as High priority.

Same with Efl.Ui.Popup.Anchor.

The loop iterator i in this loop never goes past 0:

#0  0x00007ffff7602550 in _efl_ui_table_regular_cell_init (table_calc=0x7fffffffd530, axis=0 '\000') at lib/elementary/efl_ui_table_layout.c:179

@YOhoho you fixed something simular, can you take a look at this ?

YOhoho claimed this task.Mar 24 2019, 9:05 PM
YOhoho added a subscriber: woohyun.
bu5hm4n closed this task as Resolved.Mar 30 2019, 4:39 AM

This does not hang anymore, it just seems to error, this is nice enough to close this i think.